//editor application header file

#ifndef EDITORWIN_H
#define EDITORWIN_H

#include <qmainwindow.h>


class QTextEdit;

class EditorWindow: public QMainWindow
{
  Q_OBJECT
  
  public:
    EditorWindow();
    ~EditorWindow();
    
  protected:
    void closeEvent(QCloseEvent*);
    
  private slots:
    void newFile();
    void choose();
    void load(const QString &fileName);
    void save();
    void saveAs();
    void print();
    
    void about();
    void aboutQt();
    
    void console();
    void setConsole();
    
    void zoomFontIn(); //changes font size
    void zoomFontOut();
    
  private:
    QPrinter *printer;
    QTextEdit *e;
    QString filename;
    QString cPath;
    int fontSize;
};

#endif
